routes/web.php
<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\HomeController;
use App\Http\Controllers\InventoryController;
use App\Http\Controllers\ItemController;
use App\Http\Controllers\WarehouseController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


// Authentication routes (login, register, etc.)
Auth::routes();

Route::middleware(['auth'])->group(function () {

    Route::get('/home', [HomeController::class, 'index'])->name('home');

    // Inventory routes
    Route::group(['prefix'=>'/inventory','as'=>'inventory.'], function(){
        Route::get('/', [InventoryController::class, 'index'])->name('index');
        
        Route::group(['prefix'=>'/mutations','as'=>'mutations.'], function(){
            Route::get('/index/{type}', [InventoryController::class, 'indexMutation'])->name('index');
            Route::get('/create', [InventoryController::class, 'createMutation'])->name('create');
            Route::post('/store', [InventoryController::class, 'storeMutation'])->name('store');
        });

        // Route::get('/incoming-mutations', [InventoryController::class, 'incomingMutations'])->name('mutations.create');
        // Route::post('/incoming-mutations', [InventoryController::class, 'storeIncomingMutation'])->name('mutations.create');

        // Route::get('/outgoing-mutations', [InventoryController::class, 'outgoingMutations'])->name('mutations.create');
        // Route::post('/outgoing-mutations', [InventoryController::class, 'storeOutgoingMutation'])->name('mutations.create');
        
    });

    
    /**  Master Data routes **/

    Route::group(['prefix'=>'/masterdata','as'=>'masterdata.'], function(){

        // Items routes
        Route::group(['prefix'=>'/items','as'=>'items.'], function(){
            Route::get('/', [ItemController::class, 'index'])->name('index');
            Route::get('/create', [ItemController::class, 'create'])->name('create');
            Route::post('/store', [ItemController::class, 'store'])->name('store');
        });

        // Warehouses routes
        Route::group(['prefix'=>'/warehouses','as'=>'warehouses.'], function(){
            Route::get('/', [WarehouseController::class, 'index'])->name('index');
            Route::get('/create', [WarehouseController::class, 'create'])->name('create');
            Route::post('/store', [WarehouseController::class, 'store'])->name('store');
        });

    });

});

app/Models/Item.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Item extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $table = 'items';

    protected $fillable = ['name', 'description'];
}

app/Http/Controllers/ItemController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Item;

class ItemController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $items = Item::all();

        return view('items.index', compact('items'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('items.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        Item::create([
            'name' => $request->input('name'),
            'description' => $request->input('description'),
        ]);

        return redirect()->route('masterdata.items.index')->with('success', 'Item created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}

resources/views/items/create.blade.php
<!-- resources/views/items/create.blade.php -->

@extends('layouts.app')

@section('content')

    <div class="d-flex justify-content-between">
        <h1>Create Item</h1>
        <a href="{{ route('masterdata.items.index') }}" class="btn btn-warning mt-2 mb-1">Back to List</a>
    </div>
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('masterdata.items.store') }}" method="post">
        @csrf

        <div class="mb-3">
            <label for="name">Item Name:</label>
            <input type="text" name="name" id="name" class="form-control" required>
        </div>
        <div class="mb-3">
            <label for="description">Description:</label>
            <textarea name="description" id="description" class="form-control" rows="3"></textarea>
        </div>

        <button type="submit" class="btn btn-primary">Create Item</button>

    </form>
@endsection

resources/views/items/index.blade.php
<!-- for listing items -->

<!-- resources/views/items/index.blade.php -->

@extends('layouts.app')

@section('content')

    <div class="d-flex justify-content-between">
        <h1>Items</h1>
        <a href="{{ route('masterdata.items.create') }}" class="btn btn-primary mt-2 mb-1">Create New</a>
    </div>

    @if (session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif

    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($items as $item)
                <tr>
                    <td>{{ $item->name }}</td>
                    <td>{{ $item->description }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
@endsection